RunEmbossApplication (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.programs
Class RunEmbossApplication

    java.lang.Object
      |
      +--org.emboss.jemboss.programs.RunEmbossApplication

public class RunEmbossApplication
extends java.lang.Object

RunEmbossApplication class used to run an EMBOSS process

Field Summary
`private java.lang.Process` | `p`
`private java.io.File` | `project`
`private java.lang.String` | `status`
`private java.lang.String` | `stdout`

Constructor Summary
`RunEmbossApplication(java.lang.String embossCommand, java.lang.String[] envp, java.io.File project)`

Method Summary
`java.lang.Process` | `getProcess()`
`java.lang.String` | `getProcessStdout()`
`java.lang.String` | `getStatus()`
`boolean` | `isProcessStdout()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### p

    private java.lang.Process p

### stdout

    private java.lang.String stdout

### project

    private java.io.File project

### status

    private java.lang.String status

Constructor Detail

### RunEmbossApplication

    public RunEmbossApplication(java.lang.String embossCommand,
                                java.lang.String[] envp,
                                java.io.File project)

Method Detail

### isProcessStdout

    public boolean isProcessStdout()

  Returns:
    true if there is any standard out

### getProcessStdout

    public java.lang.String getProcessStdout()

  Returns:
    standard out

### getProcess

    public java.lang.Process getProcess()

  Returns:
    process

### getStatus

    public java.lang.String getStatus()

  Returns:
    status

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD